@import "@/styles/variables";

.topics {
    z-index: 17;

    .filters-on {
        position: relative;

        &::after {
            content: "";
            background-color: $color-error;
            width: 10px;
            aspect-ratio: 1 / 1;
            border-radius: 50%;
            border: 2px solid $white;
            position: absolute;
            top: -6px;
            right: -6px;
        }
    }

    .count-area {
        width: 1rem;
        letter-spacing: 1px;
    }

    &-list {
        position: relative;
        padding: 0.5rem;
        list-style: none;
        margin-top: 0.5rem;
        display: flex;
        flex-direction: column;
        border-radius: $border-radius;
        background-color: $white;
        border: 1px solid $gray-200;
        z-index: 50;
        top: 162px;

        li {
            display: flex;
            gap: 0.25rem;
            padding: 0.5rem;

            &:hover {
                background-color: $gray-200;
            }
        }
    }
}
